Package org.apache.sling.commons.log.logback.internal.util

# Class XmlUtil

java.lang.Object
org.apache.sling.commons.log.logback.internal.util.XmlUtil

public class XmlUtil extends Object
Utilities to help processing XML

## Method Summary

Modifier and Type
Method
Description
`static @Nullable String`
`escapeXml(@Nullable String input)`
Escape the special characters of the input to be safe as an xml string
`static @NotNull String`
`prettyPrint(@NotNull InputSource is)`
Return a pretty string representation of the xml supplied

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### prettyPrint

@NotNull public static @NotNull String prettyPrint(@NotNull @NotNull InputSource is)
Return a pretty string representation of the xml supplied

Parameters:
  `is` - the source for the xml content
Returns:
  the pretty formatted xml

### escapeXml

@Nullable public static @Nullable String escapeXml(@Nullable @Nullable String input)
Escape the special characters of the input to be safe as an xml string

Parameters:
  `input` - the input to process
Returns:
  the input with the xml special characters replaced with entities